Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004711OCamlCamlp4public2009-02-05 16:122012-07-11 23:05
Reportermottl 
Assigned Toertai 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionno change required 
PlatformOSOS Version
Product Version3.11.0 
Target VersionFixed in Version 
Summary0004711: Camlp4 parser fails on valid syntax
DescriptionThe following preprocessor invocation will fail:

  camlp4o -printer o -str "let f ?x:_ () = ()"

Note that the previous version of camlp4o silently dropped "?x:" and only left the underscore. It seems this bug has not been correctly resolved.

Users who run into this problem should rewrite their functions to not use just the underscore. Writing e.g. "?x:_x" instead will also suppress warnings concerning unused variables, but will surprisingly work.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2009-02-05 16:12 mottl New Issue
2009-03-28 18:13 xleroy Status new => assigned
2009-03-28 18:13 xleroy Assigned To => ertai
2011-09-15 16:47 xclerc Status assigned => resolved
2011-09-15 16:47 xclerc Resolution open => no change required


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker